=== modified file 'drizzled/plugin/schema_engine.cc'
--- drizzled/plugin/schema_engine.cc	2011-01-03 00:04:33 +0000
+++ drizzled/plugin/schema_engine.cc	2011-01-03 05:34:58 +0000
@@ -231,18 +231,6 @@
   return true;
 }
 
-static bool dropSchemaInner(Session::reference , SchemaIdentifier::const_reference identifier)
-{
-  uint64_t counter= 0;
-
-
-  // Add hook here for engines to register schema.
-  std::for_each(StorageEngine::getSchemaEngines().begin(), StorageEngine::getSchemaEngines().end(),
-                DropSchema(identifier, counter));
-
-  return counter ? true : false;
-}
-
 bool StorageEngine::dropSchema(Session::reference session, SchemaIdentifier::const_reference identifier)
 {
   uint64_t deleted= 0;
@@ -280,7 +268,12 @@
       break;
     }
 
-    if (not dropSchemaInner(session, identifier))
+    uint64_t counter= 0;
+    // Add hook here for engines to register schema.
+    std::for_each(StorageEngine::getSchemaEngines().begin(), StorageEngine::getSchemaEngines().end(),
+                  DropSchema(identifier, counter));
+
+    if (not counter)
     {
       std::string path;
       identifier.getSQLPath(path);

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2011-01-03 00:04:33 +0000
+++ drizzled/plugin/storage_engine.h	2011-01-03 05:34:58 +0000
@@ -141,8 +141,8 @@
 public:
   typedef uint64_t Table_flags;
 
+private:
   static EngineVector &getSchemaEngines();
-private:
   const std::bitset<HTON_BIT_SIZE> flags; /* global Cursor flags */
 
 

